PromptHeading = ID_TUTORIAL_10_OFFSET + 1
g_currentprompt = 0;
g_counter = 0;
Tweaks.numyearsin24hours = 0;

-------------------------------------------------------------------------------------------------
-- INITIALISE_Level. Standard level event
-------------------------------------------------------------------------------------------------
function EVENTINITIALISE_Level()
--	Game.Pause();
	-- load the building and business file
	C_RunScript("scripts\\maps\\tempmap.lua");
end;

-------------------------------------------------------------------------------------------------
-- Level. Standard level event.
-------------------------------------------------------------------------------------------------
function EVENT_Level()
	-- create an initial prompt
	C_TriggerEvent("BlockCam", 1, PACIFIC_AVENUE);
	-- Game.Unpause();
	Interface.DisableAllControls();
	Interface.DisableAll3DPicking();
	Interface.DisableCameraControl();
	C_TriggerEvent("SetPlanView", 1);
	-- create the initial prompt
	CreatePrompt(1);
end;

function CATCHEVENT_InterfacePromptDismiss(a)
	CreatePrompt(a);
end;

function CATCHEVENT_TutorialEvent(a)

	if g_currentprompt == 9 then
		Interface.DismissPrompt();
		Interface.DisableControl(TUT_NAVIGATOR_PANEL);
		Interface.DisableAll3DPicking();
	end;

	if g_currentprompt == 8 then
		Interface.DismissPrompt();
		Interface.DisableAll3DPicking();
	end;

	if g_currentprompt == 6 then
		Interface.DismissPrompt();
		Interface.DisableControl(TUT_NAVIGATOR_PANEL);
		Interface.DisableAll3DPicking();
	end;


	if g_currentprompt == 4 then
		Interface.DismissPrompt();
		Interface.DisableControl(TUT_MPP_INFOBUTTON_2);
	end;

end;

function CATCHEVENT_Picked3D(a)

	if g_currentprompt == 9 then
		Interface.DismissPrompt();
		Interface.DisableControl(TUT_NAVIGATOR_PANEL);
		Interface.DisableAll3DPicking();
	end;

	if g_currentprompt == 8 then
		Interface.DismissPrompt();
		Interface.DisableAll3DPicking();
	end;

	if g_currentprompt == 4 then
		Interface.DismissPrompt();
		Interface.DisableControl(TUT_MPP_INFOBUTTON_2);
	end;

	if a == 1 and g_currentprompt == 2 then
		Interface.DismissPrompt();
		Interface.DisableAll3DPicking();
	end;

end;

-- prompt manager
function CreatePrompt(a)
	g_currentprompt = a;
	body = a+PromptHeading;
	if a == 1 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Let's take a look at the benefits you can gain by holding the lease on one or more of the Utilities.", a+1);
	elseif a == 2 then
		Interface.CreateMessage(PromptHeading,body, a+1); --"First we'll check out the Telecoms. Double click it now.", a+1);
		Interface.EnableBlockPicking(TELECOMS);
		Interface.AddArrow( 323, 72 );
	elseif a == 3 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"You can see how much each player is paying every day. You may want to lease a Utility to save yourself money - all of your stores are supplied free when you run the Utility!", a+1);
		Interface.AddArrow( 183, 122 );
	elseif a == 4 then
		Interface.CreateMessage(PromptHeading,body, a+1); --"You can see how much each player is paying every day. You may want to lease a Utility to save yourself money - all of your stores are supplied free when you run the Utility!", a+1);
		Interface.AddArrow( 75, 57);
		Interface.EnableControl(TUT_MPP_INFOBUTTON_2);
	elseif a == 5 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"You can see how much each player is paying every day. You may want to lease a Utility to save yourself money - all of your stores are supplied free when you run the Utility!", a+1);
		Interface.AddArrow( 183, 165 );
	elseif a == 6 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Choose the Electric Company in the Navigator.", a+1);
		Interface.EnableControl(TUT_NAVIGATOR_PANEL);
		Interface.EnableBlockPicking(ELECTRIC_COMPANY);
		Interface.AddArrow( 611, 385 );
	elseif a == 7 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Lets see what everyone is paying for Electricity each day. Not only do you save money in your own stores, but you also collect the money that everyone else is paying! Utilities become more valuable as more and more stores are opened.", a+1);
		Interface.AddArrow( 183, 160 );
	elseif a == 8 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"The other Utilities are the Waterworks...", a+1);
		Interface.EnableControl(TUT_NAVIGATOR_PANEL);
		Interface.EnableBlockPicking(WATER_WORKS);
		Interface.AddArrow( 623, 438 );
	elseif a == 9 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"...and the Gas Works.", a+1);
		Interface.EnableControl(TUT_NAVIGATOR_PANEL);
		Interface.EnableBlockPicking(GASWORKS);
		Interface.AddArrow( 559, 435 );
	elseif a == 10 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"The more Utilities that you control at one time, the more your daily income will be, so do what you can to collect them all!", a+1);
	elseif a == 11 then
		Game.End(true);
	end;
end;


